<?php
// $Id: white_list.php,v 1.5 2006/09/15 14:18:59 ohwada Exp $

// 2006-09-10 K.OHWADA
// Notice: Only variables should be assigned by reference

// 2006-07-10 K.OHWADA
// use happy_linux_page_frame

// 2006-06-04 K.OHWADA
// change to contant RSSC_ROOT_PATH

//=========================================================
// RSS Center Module
// 2006-01-01 K.OHWADA
//=========================================================

include 'admin_header.php';

//=========================================================
// class admin list white
//=========================================================
class admin_list_white extends happy_linux_page_frame
{

//---------------------------------------------------------
// constructor
//---------------------------------------------------------
function admin_list_white()
{
	$this->happy_linux_page_frame();

	$this->set_lang_no_item( _NO_RECORD );
	$this->set_lang_id_asc(  _AM_RSSC_ID_ASC );
	$this->set_lang_id_desc( _AM_RSSC_ID_DESC );
	$this->set_lang_there_are( _RSSC_THEREARE );

	$this->set_handler('white', RSSC_DIRNAME);
	$this->set_id_name('wid');

	$this->set_lang_title( _AM_RSSC_LIST_WHITE );
}

function &getInstance()
{
	static $instance;
	if (!isset($instance)) 
	{
		$instance = new admin_list_white();
	}
	return $instance;
}

//---------------------------------------------------------
// function
//---------------------------------------------------------
// Notice: Only variables should be assigned by reference
function &_get_table_header()
{
	$arr = array(
		_RSSC_WHITE_ID,
		_RSSC_SITE_LINK,
		_RSSC_SITE_TITLE,
	);

	return $arr;
}

function &_get_cols(&$obj)
{
	$jump = 'white_manage.php?op=mod_form&amp;wid=';

	$arr = array(
		$this->_build_page_id_link_by_obj( $obj, 'wid', $jump),
		$this->_build_page_name_link_by_obj($obj, 'url'),
		$this->_build_page_label_by_obj(      $obj, 'title'),
	);

	return $arr;
}

// --- class end ---
}

//=========================================================
// main
//=========================================================
xoops_cp_header();
rssc_admin_print_header();
rssc_admin_print_menu();

$list =& admin_list_white::getInstance();
$list->_show();

xoops_cp_footer();
exit();
// --- end of main ---

?>